
import java.util.*;

public class ArrayDemo {

    /**
     * read integers from the keyboard into the array
     * @param array array to be filled
     */
    public static void getValues(int[] array) {
        Scanner scan = new Scanner(System.in);
        for (int i = 0; i < array.length; i++) {
            System.out.println(
                    "Please enter a number: ");
            array[i] = scan.nextInt();
        }
    }

    /**
     * return the largest value in the array
     * @param array numbers to search
     * @return largest value
     */
    public static int findMax(int[] array) {
        int max = array[0];
        for (int i = 0; i < array.length; i++) {
            if (array[i] > max) {
                max = array[i];
            }
        }
        return max;
    }

    public static void main(String[] args) {
        int[] myArray = new int[5];
        ArrayDemo.getValues(myArray);
        System.out.println("The largest value is: " + findMax(myArray));
    }
}
